web:
  image: 'gitlab/gitlab-ce:latest'
  restart: always
  hostname: 'gitlab.black.com'
  environment:
    GITLAB_OMNIBUS_CONFIG: |
      # Add any other gitlab.rb configuration here, each on its own line
      external_url 'http://gitlab.black.com'
     
  ports:
    - '8082:80'
    - '443:443'
    - '2220:22'
  volumes:
    - '/srv/gitlab/config:/etc/gitlab'
    - '/srv/gitlab/logs:/var/log/gitlab'
    - '/srv/gitlab/data:/var/opt/gitlab'

